unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm2 = class(TForm)
    ckbDebug: TCheckBox;
    edtStart: TEdit;
    ckbStop: TCheckBox;
    Label1: TLabel;
    btnOK: TButton;
    btnP51comp: TButton;
    procedure btnOKClick(Sender: TObject);
    procedure btnP51compClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

uses Unit1;

{$R *.DFM}


procedure TForm2.btnOKClick(Sender: TObject);
var
  sDebug, sStop : string;
begin
  if ckbDebug.Checked then sDebug := 'true' else sDebug := 'false';
  Form1.Appini.WriteString('compiler','debug',sDebug);   { debug flag }
  if ckbStop.Checked then sStop := 'true' else sStop := 'false';
  Form1.Appini.WriteString('compiler','stop',sStop);   { stop after 1st error flag }
  Form1.Appini.WriteString('compiler','start',edtStart.text);   { ext start address }
  Self.hide
end;

procedure TForm2.btnP51compClick(Sender: TObject);
begin
form1.OpenDialog1.Filter := 'Pascal51 compiler .exe file|*.exe';
if form1.OpenDialog1.Execute then          { Display Open dialog box }
  begin
    form1.Appini.WriteString('compiler','path',form1.OpenDialog1.FileName);   { File selected in dialog box }
    CompilerPath := form1.OpenDialog1.FileName;
    form1.lblCpath.Caption := 'Compiler : ' + CompilerPath;
  end;
end;

procedure TForm2.FormCreate(Sender: TObject);
var
 sDebug,sStop: string;
begin
  sDebug := form1.appini.ReadString('compiler','debug','false');
  if sDebug = 'false' then ckbDebug.Checked := false;
  if sDebug = 'true' then ckbDebug.Checked := true;
  sStop := form1.appini.ReadString('compiler','stop','false');
  if sStop = 'false' then ckbStop.Checked := false;
  if sStop = 'true' then ckbStop.Checked := true;
  edtStart.text := form1.appini.ReadString('compiler','start','8000');
end;

end.
